Package wx :: Package lib :: Module printout :: Class PrintTableDraw

[frames | no frames]

## Type PrintTableDraw

                     PrintBase --+
                                 |
    object --+                   |
             |                   |
        Object --+               |
                 |               |
        EvtHandler --+           |
                     |           |
                Window --+       |
                         |       |
                     Panel --+   |
                             |   |
                ScrolledWindow --+
                                 |
                                PrintTableDraw

Method Summary
| `__init__(self, parent, DC, size)`
| `AdjustValues(self)`
| `ColourRowCells(self, height)`
| `DoDrawing(self, DC)`
| `DrawColumns(self)`
| `DrawGridLine(self)`
| `DrawText(self)`
| `FinishDraw(self)`
| `GetCellColour(self, row, col)`
| `GetCellTextColour(self, row, col)`
| `GetTotalPages(self)`
| `LabelColorRow(self, colour)`
| `OutCanvas(self)`
| `OutPage(self)`
| `PrintFooter(self)`
| `PrintHeader(self)`
| `PrintLabel(self)`
| `PrintRow(self, row_val, draw, align)`
| `SetColumns(self, col)`
| `SetDefaults(self)`
| `SetPage(self, page)`
| `SetPointAdjust(self)`

Property Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:51 2007 | http://epydoc.sf.net